image: python:3-alpine

before_script:
  - apk update
  - apk add zip

stages:
  - test
  - build

test:
  stage: test
  script:
    - python -mjson.tool 'module.json' > /dev/null

build:
  stage: build
  script:
    - zip wfrp4e-unofficial-grimoire.zip -r *.js *.json *.md compendium lang tables -x ".*"
  artifacts:
    name: wfrp4e-unofficial-grimoire
    when: on_success
    paths:
      - wfrp4e-unofficial-grimoire.zip
  when: on_success
  only:
    - tags
    - master
